package com.steerinfo.ems.emsscqklg.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author quietShadow
 */
@ApiModel(value="生产情况-炼钢")
public class EmsScqkLg implements IBasePO<Date> {
    /**
     * 生产日期(DATES,TIMESTAMP,7)
     */
    @ApiModelProperty(value="生产日期",required=true)
    private Date dates;

    /**
     * 钢坯日产量(RCL,DECIMAL,0)
     */
    @ApiModelProperty(value="钢坯日产量",required=false)
    private BigDecimal rcl;

    /**
     * 进入炼钢铁水量(JTSL,DECIMAL,0)
     */
    @ApiModelProperty(value="进入炼钢铁水量",required=false)
    private BigDecimal jtsl;

    /**
     * 炼钢实际用量(SJYL,DECIMAL,0)
     */
    @ApiModelProperty(value="炼钢实际用量",required=false)
    private BigDecimal sjyl;

    /**
     * 库存量（铁水）(KCL,DECIMAL,0)
     */
    @ApiModelProperty(value="库存量（铁水）",required=false)
    private BigDecimal kcl;

    /**
     * 未浇钢水量(WJZL,DECIMAL,0)
     */
    @ApiModelProperty(value="未浇钢水量",required=false)
    private BigDecimal wjzl;

    /**
     * 生产炉数(SCLS,DECIMAL,0)
     */
    @ApiModelProperty(value="生产炉数",required=false)
    private BigDecimal scls;

    /**
     * 1#炉龄(LL_1,DECIMAL,0)
     */
    @ApiModelProperty(value="1#炉龄",required=false)
    private BigDecimal ll1;

    /**
     * 2#炉龄(LL_2,DECIMAL,0)
     */
    @ApiModelProperty(value="2#炉龄",required=false)
    private BigDecimal ll2;

    /**
     * 废钢总量_内部含生铁(FGZL_NBHST,DECIMAL,0)
     */
    @ApiModelProperty(value="废钢总量_内部含生铁",required=false)
    private BigDecimal fgzlNbhst;

    /**
     * 废钢总量_外购(FGZL_WG,DECIMAL,0)
     */
    @ApiModelProperty(value="废钢总量_外购",required=false)
    private BigDecimal fgzlWg;

    /**
     * 冷料单炉用量(LLDLYL,DECIMAL,0)
     */
    @ApiModelProperty(value="冷料单炉用量",required=false)
    private BigDecimal lldlyl;

    /**
     * 外购废钢_进废钢坑(WGFG_JFGK,DECIMAL,0)
     */
    @ApiModelProperty(value="外购废钢_进废钢坑",required=false)
    private BigDecimal wgfgJfgk;

    /**
     * 外购废钢_去席村废钢量(WGFG_QXC,DECIMAL,0)
     */
    @ApiModelProperty(value="外购废钢_去席村废钢量",required=false)
    private BigDecimal wgfgQxc;

    /**
     * 席村返回废钢量(XCF,DECIMAL,0)
     */
    @ApiModelProperty(value="席村返回废钢量",required=false)
    private BigDecimal xcf;

    /**
     * 记事(MEMO,VARCHAR,1000)
     */
    @ApiModelProperty(value="记事",required=false)
    private String memo;

    /**
     * 操作人(CZR,VARCHAR,10)
     */
    @ApiModelProperty(value="操作人",required=false)
    private String czr;

    /**
     * 操作时间(CZSJ,TIMESTAMP,7)
     */
    @ApiModelProperty(value="操作时间",required=false)
    private Date czsj;

    /**
     * 外销钢坯产量(WXGPCL,DECIMAL,0)
     */
    @ApiModelProperty(value="外销钢坯产量",required=false)
    private BigDecimal wxgpcl;

    /**
     * 冷料比(LLB,DECIMAL,0)
     */
    @ApiModelProperty(value="冷料比",required=false)
    private BigDecimal llb;

    /**
     * 钢水日产量(GSRCL,DECIMAL,0)
     */
    @ApiModelProperty(value="钢水日产量",required=false)
    private BigDecimal gsrcl;

    /**
     * 炼钢浓盐水用量(LG_NYS,DECIMAL,0)
     */
    @ApiModelProperty(value="炼钢浓盐水用量",required=false)
    private BigDecimal lgNys;

    /**
     * 普钢钢坯产量(PGGP,DECIMAL,0)
     */
    @ApiModelProperty(value="普钢钢坯产量",required=false)
    private BigDecimal pggp;

    /**
     * 品种钢钢坯产量(PZGGP,DECIMAL,0)
     */
    @ApiModelProperty(value="品种钢钢坯产量",required=false)
    private BigDecimal pzggp;

    /**
     * 异型坯钢坯产量(YXPGP,DECIMAL,0)
     */
    @ApiModelProperty(value="异型坯钢坯产量",required=false)
    private BigDecimal yxpgp;

    /**
     * 普钢钢水产量(PGGS,DECIMAL,0)
     */
    @ApiModelProperty(value="普钢钢水产量",required=false)
    private BigDecimal pggs;

    /**
     * 品种钢钢水产量(PZGGS,DECIMAL,0)
     */
    @ApiModelProperty(value="品种钢钢水产量",required=false)
    private BigDecimal pzggs;

    /**
     * 异型坯钢水产量(YXPGS,DECIMAL,0)
     */
    @ApiModelProperty(value="异型坯钢水产量",required=false)
    private BigDecimal yxpgs;

    private static final long serialVersionUID = 1L;

    @Override
    public Date getId() {
        return this.dates;
    }

    @Override
    public void setId(Date dates) {
        this.dates = dates;
    }

    public Date getDates() {
        return dates;
    }

    public void setDates(Date dates) {
        this.dates = dates;
    }

    public BigDecimal getRcl() {
        return rcl;
    }

    public void setRcl(BigDecimal rcl) {
        this.rcl = rcl;
    }

    public BigDecimal getJtsl() {
        return jtsl;
    }

    public void setJtsl(BigDecimal jtsl) {
        this.jtsl = jtsl;
    }

    public BigDecimal getSjyl() {
        return sjyl;
    }

    public void setSjyl(BigDecimal sjyl) {
        this.sjyl = sjyl;
    }

    public BigDecimal getKcl() {
        return kcl;
    }

    public void setKcl(BigDecimal kcl) {
        this.kcl = kcl;
    }

    public BigDecimal getWjzl() {
        return wjzl;
    }

    public void setWjzl(BigDecimal wjzl) {
        this.wjzl = wjzl;
    }

    public BigDecimal getScls() {
        return scls;
    }

    public void setScls(BigDecimal scls) {
        this.scls = scls;
    }

    public BigDecimal getLl1() {
        return ll1;
    }

    public void setLl1(BigDecimal ll1) {
        this.ll1 = ll1;
    }

    public BigDecimal getLl2() {
        return ll2;
    }

    public void setLl2(BigDecimal ll2) {
        this.ll2 = ll2;
    }

    public BigDecimal getFgzlNbhst() {
        return fgzlNbhst;
    }

    public void setFgzlNbhst(BigDecimal fgzlNbhst) {
        this.fgzlNbhst = fgzlNbhst;
    }

    public BigDecimal getFgzlWg() {
        return fgzlWg;
    }

    public void setFgzlWg(BigDecimal fgzlWg) {
        this.fgzlWg = fgzlWg;
    }

    public BigDecimal getLldlyl() {
        return lldlyl;
    }

    public void setLldlyl(BigDecimal lldlyl) {
        this.lldlyl = lldlyl;
    }

    public BigDecimal getWgfgJfgk() {
        return wgfgJfgk;
    }

    public void setWgfgJfgk(BigDecimal wgfgJfgk) {
        this.wgfgJfgk = wgfgJfgk;
    }

    public BigDecimal getWgfgQxc() {
        return wgfgQxc;
    }

    public void setWgfgQxc(BigDecimal wgfgQxc) {
        this.wgfgQxc = wgfgQxc;
    }

    public BigDecimal getXcf() {
        return xcf;
    }

    public void setXcf(BigDecimal xcf) {
        this.xcf = xcf;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getCzr() {
        return czr;
    }

    public void setCzr(String czr) {
        this.czr = czr == null ? null : czr.trim();
    }

    public Date getCzsj() {
        return czsj;
    }

    public void setCzsj(Date czsj) {
        this.czsj = czsj;
    }

    public BigDecimal getWxgpcl() {
        return wxgpcl;
    }

    public void setWxgpcl(BigDecimal wxgpcl) {
        this.wxgpcl = wxgpcl;
    }

    public BigDecimal getLlb() {
        return llb;
    }

    public void setLlb(BigDecimal llb) {
        this.llb = llb;
    }

    public BigDecimal getGsrcl() {
        return gsrcl;
    }

    public void setGsrcl(BigDecimal gsrcl) {
        this.gsrcl = gsrcl;
    }

    public BigDecimal getLgNys() {
        return lgNys;
    }

    public void setLgNys(BigDecimal lgNys) {
        this.lgNys = lgNys;
    }

    public BigDecimal getPggp() {
        return pggp;
    }

    public void setPggp(BigDecimal pggp) {
        this.pggp = pggp;
    }

    public BigDecimal getPzggp() {
        return pzggp;
    }

    public void setPzggp(BigDecimal pzggp) {
        this.pzggp = pzggp;
    }

    public BigDecimal getYxpgp() {
        return yxpgp;
    }

    public void setYxpgp(BigDecimal yxpgp) {
        this.yxpgp = yxpgp;
    }

    public BigDecimal getPggs() {
        return pggs;
    }

    public void setPggs(BigDecimal pggs) {
        this.pggs = pggs;
    }

    public BigDecimal getPzggs() {
        return pzggs;
    }

    public void setPzggs(BigDecimal pzggs) {
        this.pzggs = pzggs;
    }

    public BigDecimal getYxpgs() {
        return yxpgs;
    }

    public void setYxpgs(BigDecimal yxpgs) {
        this.yxpgs = yxpgs;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", dates=").append(dates);
        sb.append(", rcl=").append(rcl);
        sb.append(", jtsl=").append(jtsl);
        sb.append(", sjyl=").append(sjyl);
        sb.append(", kcl=").append(kcl);
        sb.append(", wjzl=").append(wjzl);
        sb.append(", scls=").append(scls);
        sb.append(", ll1=").append(ll1);
        sb.append(", ll2=").append(ll2);
        sb.append(", fgzlNbhst=").append(fgzlNbhst);
        sb.append(", fgzlWg=").append(fgzlWg);
        sb.append(", lldlyl=").append(lldlyl);
        sb.append(", wgfgJfgk=").append(wgfgJfgk);
        sb.append(", wgfgQxc=").append(wgfgQxc);
        sb.append(", xcf=").append(xcf);
        sb.append(", memo=").append(memo);
        sb.append(", czr=").append(czr);
        sb.append(", czsj=").append(czsj);
        sb.append(", wxgpcl=").append(wxgpcl);
        sb.append(", llb=").append(llb);
        sb.append(", gsrcl=").append(gsrcl);
        sb.append(", lgNys=").append(lgNys);
        sb.append(", pggp=").append(pggp);
        sb.append(", pzggp=").append(pzggp);
        sb.append(", yxpgp=").append(yxpgp);
        sb.append(", pggs=").append(pggs);
        sb.append(", pzggs=").append(pzggs);
        sb.append(", yxpgs=").append(yxpgs);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}